aboutsummaryrefslogtreecommitdiff
path: root/package/yaml-cpp/Config.in
blob: e02b85df12193a4d0bd22340911e3fb5b80f1529 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
config BR2_PACKAGE_YAML_CPP
	bool "yaml-cpp"
	depends on BR2_INSTALL_LIBSTDCPP
	depends on BR2_TOOLCHAIN_GCC_AT_LEAST_4_7 # C++11
	help
	  yaml-cpp is a YAML parser and emitter in C++ matching
	  the YAML 1.2 spec.

	  https://github.com/jbeder/yaml-cpp

comment "yaml-cpp needs a toolchain w/ C++, gcc >= 4.7"
	depends on !BR2_INSTALL_LIBSTDCPP || !BR2_TOOLCHAIN_GCC_AT_LEAST_4_7